/**
 * Formats a number to a string with commas
 *
 * @param number the number to format
 * @returns the formatted number
 */
export function formatNumber(number: any, decimals?: number) {
  if (decimals === undefined) {
    decimals = 0;
  }
  if (number === undefined) {
    return "";
  }
  if (typeof number !== "number") {
    return number;
  }
  return number.toLocaleString(undefined, {
    minimumFractionDigits: decimals,
    maximumFractionDigits: decimals,
  });
}
